import { AudioClip, JsonAsset, Prefab, SpriteAtlas } from "cc";
export const events = {
    check_completed: "check_completed",
    remove_element: "remove_element",
}

/* keys for storage */
export const Key = {
    Pause: "Pause",
    Timer: "Timer",
    Level: "Level",
    Energy: "Energy",
    Star: "Star",
    LastTime: "LastTime",
}


export const Clips = {
    bgm: "bgm",
    btn_1: "btn_1",
    btn_2: "btn_2",
    close_screw: "close_screw",
    complete_1: "complete_1",
    complete_2: "complete_2",
    drill: "drill",
    open_screw: "open_screw",
    duang: "duang",
    popup: "popup",

    coins: "coins",
    reng: "reng",
    fail: "fail",
}

export const AssetType = ({
    Prefab: { type: Prefab, path: "Preload/Prefabs/" },
    Json: { type: JsonAsset, path: "Preload/Jsons/" },
    Sound: { type: AudioClip, path: "Preload/Clips/" },
    Atlas: { type: SpriteAtlas, path: "Preload/Atlas/" }
})

/* keys for storage */
export const DJ = {
    Btn_1: "Btn_1",
    Btn_2: "Btn_2",
    Btn_3: "Btn_3",
    Btn_4: "Btn_4",
    Btn_5: "Btn_5",
}

export const DJ_TYPE = {
    Type_coin: "Type_coin",
    Type_video: "Type_video",
}




